JsonEOFException (Jackson-core 2.9.0 API)
Date: 2018-01-23

com.fasterxml.jackson.core.io

## Class JsonEOFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.core.JsonParseException
          - - com.fasterxml.jackson.core.io.JsonEOFException

- All Implemented Interfaces:
    Serializable

      public class JsonEOFException
      extends JsonParseException

  Specialized `JsonParseException` that is thrown when end-of-input is reached unexpectedly, either within token being decoded, or during skipping of intervening white-space that is not between root-level tokens (that is, is within JSON Object or JSON Array construct).
  Since:
    2.8
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JsonToken` | `_token` Type of token that was being decoded, if parser had enough information to recognize type (such as starting double-quote for Strings)

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonParseException

      `_processor, _requestPayload`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonEOFException(JsonParser p, JsonToken token, String msg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonToken` | `getTokenBeingDecoded()` Accessor for possibly available information about token that was being decoded while encountering end of input.

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonParseException

      `getMessage, getProcessor, getRequestPayload, getRequestPayloadAsString, withParser, withRequestPayload`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `clearLocation, getLocation, getMessageSuffix, getOriginalMessage, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _token

          protected final JsonToken _token

      Type of token that was being decoded, if parser had enough information to recognize type (such as starting double-quote for Strings)

  - ### Constructor Detail

    - #### JsonEOFException

          public JsonEOFException(JsonParser p,
                                  JsonToken token,
                                  String msg)

  - ### Method Detail

    - #### getTokenBeingDecoded

          public JsonToken getTokenBeingDecoded()

      Accessor for possibly available information about token that was being decoded while encountering end of input.

Copyright © 2008–2018 FasterXML. All rights reserved.